%define module  django-countries

Name:           python-%{module}
Version:        7.3.2
Release:        %mkrel 1
Summary:        Provides a country field for Django models
Group:          Development/Python
License:        MIT
URL:            https://github.com/SmileyChris/django-countries/
Source0:        https://pypi.io/packages/source/d/%{module}/%{module}-%{version}.tar.xz
BuildArch:      noarch

%description
Django application which provides country choices for use with forms, and a
country field for models.

#---------------------------------------------------------------------------

%package -n     python3-%{module}
Summary:        Provides a country field for Django models
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  python3-setuptools
Requires:       python3-django
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Django application which provides country choices for use with forms, and a
country field for models.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

# drop bundled egg-info
rm -rf django_countries.egg-info/

%build
%py3_build

%install
%py3_install

# drop translation catalogs
find %{buildroot} -name "*.po" -delete

%files -n python3-%{module}
%{python3_sitelib}/django_countries/*py*
%{python3_sitelib}/django_countries/graphql/
%{python3_sitelib}/django_countries/static/
%{python3_sitelib}/django_countries/tests/
%{python3_sitelib}/django_countries/templatetags/
%{python3_sitelib}/django_countries-%{version}-py%{python3_version}.egg-info
# locales files
%lang(ar) %{python3_sitelib}/django_countries/locale/ar/LC_MESSAGES/django.?o
%lang(bg) %{python3_sitelib}/django_countries/locale/bg/LC_MESSAGES/django.?o
%lang(ca) %{python3_sitelib}/django_countries/locale/ca/LC_MESSAGES/django.?o
%lang(cs) %{python3_sitelib}/django_countries/locale/cs/LC_MESSAGES/django.?o
%lang(da) %{python3_sitelib}/django_countries/locale/da/LC_MESSAGES/django.?o
%lang(de) %{python3_sitelib}/django_countries/locale/de/LC_MESSAGES/django.?o
%lang(el) %{python3_sitelib}/django_countries/locale/el/LC_MESSAGES/django.?o
%lang(eo) %{python3_sitelib}/django_countries/locale/eo/LC_MESSAGES/django.?o
%lang(es) %{python3_sitelib}/django_countries/locale/es/LC_MESSAGES/django.?o
%lang(et) %{python3_sitelib}/django_countries/locale/et/LC_MESSAGES/django.?o
%lang(eu) %{python3_sitelib}/django_countries/locale/eu/LC_MESSAGES/django.?o
%lang(eu_ES) %{python3_sitelib}/django_countries/locale/eu_ES/LC_MESSAGES/django.?o
%lang(fa) %{python3_sitelib}/django_countries/locale/fa/LC_MESSAGES/django.?o
%lang(fi) %{python3_sitelib}/django_countries/locale/fi/LC_MESSAGES/django.?o
%lang(fr) %{python3_sitelib}/django_countries/locale/fr/LC_MESSAGES/django.?o
%lang(he) %{python3_sitelib}/django_countries/locale/he/LC_MESSAGES/django.?o
%lang(he_IL) %{python3_sitelib}/django_countries/locale/he_IL/LC_MESSAGES/django.?o
%lang(hr) %{python3_sitelib}/django_countries/locale/hr/LC_MESSAGES/django.?o
%lang(hu) %{python3_sitelib}/django_countries/locale/hu/LC_MESSAGES/django.?o
%lang(it) %{python3_sitelib}/django_countries/locale/it/LC_MESSAGES/django.?o
%lang(ja) %{python3_sitelib}/django_countries/locale/ja/LC_MESSAGES/django.?o
%lang(ko_KR) %{python3_sitelib}/django_countries/locale/ko_KR/LC_MESSAGES/django.?o
%lang(lt) %{python3_sitelib}/django_countries/locale/lt/LC_MESSAGES/django.?o
%lang(lv) %{python3_sitelib}/django_countries/locale/lv/LC_MESSAGES/django.?o
%lang(mn) %{python3_sitelib}/django_countries/locale/mn/LC_MESSAGES/django.?o
%lang(nb) %{python3_sitelib}/django_countries/locale/nb/LC_MESSAGES/django.?o
%lang(nl) %{python3_sitelib}/django_countries/locale/nl/LC_MESSAGES/django.?o
%lang(pl) %{python3_sitelib}/django_countries/locale/pl/LC_MESSAGES/django.?o
%lang(pt_BR) %{python3_sitelib}/django_countries/locale/pt_BR/LC_MESSAGES/django.?o
%lang(pt_PT) %{python3_sitelib}/django_countries/locale/pt_PT/LC_MESSAGES/django.?o
%lang(ru) %{python3_sitelib}/django_countries/locale/ru/LC_MESSAGES/django.?o
%lang(sk) %{python3_sitelib}/django_countries/locale/sk/LC_MESSAGES/django.?o
%lang(sv) %{python3_sitelib}/django_countries/locale/sv/LC_MESSAGES/django.?o
%lang(tr_TR) %{python3_sitelib}/django_countries/locale/tr_TR/LC_MESSAGES/django.?o
%lang(uk) %{python3_sitelib}/django_countries/locale/uk/LC_MESSAGES/django.?o
%lang(zh_CN) %{python3_sitelib}/django_countries/locale/zh_CN/LC_MESSAGES/django.?o
%lang(zh_Hans) %{python3_sitelib}/django_countries/locale/zh_Hans/LC_MESSAGES/django.?o
%lang(af) %{python3_sitelib}/django_countries/locale/af/LC_MESSAGES/django.?o
%lang(hy) %{python3_sitelib}/django_countries/locale/hy/LC_MESSAGES/django.?o
%lang(ro) %{python3_sitelib}/django_countries/locale/ro/LC_MESSAGES/django.?o
%lang(sl) %{python3_sitelib}/django_countries/locale/sl/LC_MESSAGES/django.?o
%lang(sr) %{python3_sitelib}/django_countries/locale/sr/LC_MESSAGES/django.?o
%lang(sr) %{python3_sitelib}/django_countries/locale/sr@latin/LC_MESSAGES/django.?o
%lang(sr_Latn) %{python3_sitelib}/django_countries/locale/sr_Latn/LC_MESSAGES/django.?o
%lang(sr_Latn_BA) %{python3_sitelib}/django_countries/locale/sr_Latn_BA/LC_MESSAGES/django.?o
%lang(zh-Hant) %{python3_sitelib}/django_countries/locale/zh-Hant/LC_MESSAGES/django.?o


%changelog
* Fri Aug 05 2022 tex - 7.3.2-1pclos2022
- new version

